# Class ChangePasswordRequest

#### Hierarchy

- unknown
  - ChangePasswordRequest

- Defined in src/protobuf/grpc_pb.d.ts:234
- Defined in src/protobuf/grpc_pb.d.ts:249

#####
Index

### Constructors

constructor

### Methods

getNewPassword
getOldPassword
serializeBinary
setNewPassword
setOldPassword
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ChangePasswordRequest(): ChangePasswordRequest

- #### Returns ChangePasswordRequest

  Inherited from jspb.Message.constructor

## Methods

### getNewPassword

- getNewPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:238

### getOldPassword

- getOldPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:235

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:241

### setNewPassword

- setNewPassword(value: string): ChangePasswordRequest

- #### Parameters

  - ##### value: string

  #### Returns ChangePasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:239

### setOldPassword

- setOldPassword(value: string): ChangePasswordRequest

- #### Parameters

  - ##### value: string

  #### Returns ChangePasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:236

### toObject

- toObject(includeInstance?: boolean): ChangePasswordRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ChangePasswordRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:242

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ChangePasswordRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ChangePasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:245

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ChangePasswordRequest, reader: BinaryReader): ChangePasswordRequest

- #### Parameters

  - ##### message: ChangePasswordRequest

  - ##### reader: BinaryReader

  #### Returns ChangePasswordRequest

  - Defined in src/protobuf/grpc_pb.d.ts:246

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ChangePasswordRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ChangePasswordRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:244

### `Static` toObject

- toObject(includeInstance: boolean, msg: ChangePasswordRequest): ChangePasswordRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ChangePasswordRequest

  #### Returns ChangePasswordRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:243

Generated using TypeDoc